Package ru.bitel.bgbilling.modules.agr.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.modules.agr.server.bean.TransactionManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class TransactionManager
    extends ru.bitel.common.dao.AbstractIdDao<Transaction>

Даошка для транзакций платежного модуля A

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.lang.String` | `CONTRACT` |
  `protected static java.lang.String` | `TRANSACTION_ID` |

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransactionManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteTransactionByContractId​(int contractId)` |
  `java.util.List<IdTitle>` | `getAGRPaymentSystemList()` | Получение списка платежных систем, через которые проходили платежи.
  `protected Transaction` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.lang.String` | `getRedirectUrl​(int contractId, java.lang.String contractTitle, java.math.BigDecimal amount, java.util.Map<java.lang.String,​java.lang.Object> dataMap, ModuleSetup moduleSetup)` |
  `Transaction` | `getTransaction​(int transactionId)` | Получение транзакции по ее коду
  `Transaction` | `getTransaction​(java.lang.String agrTransactionId)` | Получение транзакции по id из ПС
  `void` | `searchTransaction​(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status, java.lang.String agrPaymentName)` |
  `protected void` | `updateImpl​(Transaction transaction)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT

    protected static final java.lang.String CONTRACT
    See Also:
      Constant Field Values

  - ### TRANSACTION_ID

    protected static final java.lang.String TRANSACTION_ID
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### searchTransaction

    public void searchTransaction​(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status, java.lang.String agrPaymentName) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransaction

    public Transaction getTransaction​(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Получение транзакции по ее коду
    Parameters:
      `transactionId` - код транзакции
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTransaction

    public Transaction getTransaction​(java.lang.String agrTransactionId) throws ru.bitel.bgbilling.common.BGException
    Получение транзакции по id из ПС
    Parameters:
      `agrTransactionId` - код транзакции в ПС
    Returns:
      биллинговая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Transaction getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `java.sql.SQLException`

  - ### updateImpl

    protected void updateImpl​(Transaction transaction) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAGRPaymentSystemList

    public java.util.List<IdTitle> getAGRPaymentSystemList() throws ru.bitel.bgbilling.common.BGException
    Получение списка платежных систем, через которые проходили платежи. Формируется по столбцу agrPaymentName у платежей.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteTransactionByContractId

    public void deleteTransactionByContractId​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRedirectUrl

    public java.lang.String getRedirectUrl​(int contractId, java.lang.String contractTitle, java.math.BigDecimal amount, java.util.Map<java.lang.String,​java.lang.Object> dataMap, ModuleSetup moduleSetup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`